libspatialite-4.3.0a-alt1.i586.rpm


Advertisement

Description

libspatialite - Enables SQLite to support spatial data

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package name libspatialite
Package version 4.3.0a
Package release alt1
Package architecture i586
Package type rpm
Installed size 13.86 MB
Download size 13.86 MB
Official Mirror ftp.altlinux.org
SpatiaLite is a a library extending the basic SQLite core
in order to get a full fledged Spatial DBMS, really simple
and lightweight, but mostly OGC-SFS compliant.

Alternatives

Package Version Architecture Repository
libspatialite-4.3.0a-alt1.x86_64.rpm 4.3.0a x86_64 Classic
libspatialite - - -

Requires

Name Value
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
libfreexl.so.1 -
libgeos_c.so.1 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libproj.so.0 -
libpthread.so.0(GLIBC_2.0) -
libsqlite3.so.0 -
libxml2.so.2 -
libxml2.so.2(LIBXML2_2.4.30) -
libxml2.so.2(LIBXML2_2.5.8) -
libxml2.so.2(LIBXML2_2.6.0) -
libxml2.so.2(LIBXML2_2.6.2) -
libz.so.1 -
libz.so.1(ZLIB_1.2.0) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libspatialite = 4.3.0a-alt1
libspatialite.so.7 -
mod_spatialite.so.7 -

Download

Type URL
Binary Package libspatialite-4.3.0a-alt1.i586.rpm
Source Package libspatialite-4.3.0a-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libspatialite rpm package:
    # sudo apt-get install libspatialite

Files

Path
/usr/lib/libspatialite.so.7
/usr/lib/libspatialite.so.7.1.0
/usr/lib/mod_spatialite.so.7
/usr/lib/mod_spatialite.so.7.1.0
/usr/share/doc/libspatialite-4.3.0a/AUTHORS
/usr/share/doc/libspatialite-4.3.0a/COPYING

Changelog

2018-02-28 - Andrey Cherepanov <cas@altlinux.org> 4.3.0a-alt1
- New version. (ALT #34590)
2016-02-04 - Andrey Cherepanov <cas@altlinux.org> 4.1.1-alt1.1
- Rebuild with new geos
2014-02-27 - Ilya Mashkin <oddity@altlinux.ru> 4.1.1-alt1
- 4.1.1
2013-01-29 - Ilya Mashkin <oddity@altlinux.ru> 4.0.0-alt1
- Build for Sisyphus
2012-12-01 - Volker Frohlich <volker27@gmx.at> - 4.0.0-1
- New upstream release
- Remove arch restrictions, solving BZ 663938 and 846301
- Update conditional for geosadvanced
2012-08-18 - Volker Frohlich <volker27@gmx.at> - 3.1.0-0.3.RC2
- Add ppc to excluded archs (BZ #846301)
- Don't build with profiling
2012-01-27 - Volker Frohlich <volker27@gmx.at> - 3.1.0-0.1.RC2
- Add pkconfig as Requirement to the devel sub-package
- Drop freexl patch (solved), build with Freexl
- Update descriptions and summaries
- Re-design conditionals for build flags
- Don't run checks if built without advancedgeos
- Include examples as documentation
2012-01-14 - Volker Frohlich <volker27@gmx.at> - 3.0.1-1
- New upstream release
- Drop defattr
- Run tests
- Own spatialite include-dir
- Add GPLv2+ and LGPLv2+ as alternative licenses
- Update URL and source URL
- Reduce build conditions to EPEL or not
- Use isa macro in base package Requires
2010-12-07 - Volker Frohlich <volker27@gmx.at> 2.4.0-0.5.RC4
- Corrected wrong Fedora version number in if-statement
2010-12-05 - Volker Frohlich <volker27@gmx.at> 2.4.0-0.4.RC4
- Refined configure condition to support RHEL

See Also

Package Description
libspatialite-devel-4.3.0a-alt1.i586.rpm Development libraries and headers for SpatiaLite
libspdlog-devel-1.2.1-alt2.i586.rpm Development files for spdlog
libspectre-0.2.8.0.1.f88d2c2-alt1.i586.rpm A PostScript rendering library
libspectre-devel-0.2.8.0.1.f88d2c2-alt1.i586.rpm Development files for libspectre
libspectrum-1.4.1-alt1.i586.rpm ZX Spectrum emulation shared library
libspectrum-devel-1.4.1-alt1.i586.rpm ZX Spectrum emulation library, header files
libspeechd-0.8.8-alt2.i586.rpm Client library for speech-dispatcher
libspeechd-devel-0.8.8-alt2.i586.rpm Development files to use libspeechd to connect to speech-dispatcher
libspeex-1.2-alt1.i586.rpm Speex shared library
libspeex-devel-1.2-alt1.i586.rpm Speex development file
libspeex-devel-static-1.2-alt1.i586.rpm Speex static libraries
libspeexdsp-1.2-alt2_0.12.rc3.i586.rpm A voice compression format (DSP)
libspeexdsp-devel-1.2-alt2_0.12.rc3.i586.rpm Development package for speexdsp
libspf2-1.2.10-alt3.i586.rpm Implementation of the SPF specification
libspf2-devel-1.2.10-alt3.i586.rpm Development files for libspf2 library
Advertisement
Advertisement